All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.user
Class UserServiceMBean

    com.sas.services.user.UserServiceMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

    public class UserServiceMBean

User Service MBean.

Since:
  9.2

Field Summary
`static java.lang.String` | `DESTROY_USER_DESCRIPTION`
`static java.lang.String` | `DESTROY_USER_METHOD_NAME`
`static java.lang.String[]` | `SUMMARY_DATA_DESCRIPTIONS`
`static java.lang.String[]` | `SUMMARY_DATA_INDEX_NAMES`
`static java.lang.String` | `SUMMARY_TABULARTYPE_DESCRIPTION`
`static java.lang.String` | `SUMMARY_TABULARTYPE_NAME`
`static java.lang.String` | `USERCONTEXT_ID_PARM_DESCRIPTION`
`static java.lang.String` | `USERCONTEXT_ID_PARM_NAME`

Constructor Summary
`UserServiceMBean()`

Method Summary
`java.lang.String` | `destroyUser(java.lang.String userContextId)`
`int` | `getAuthCount()`
`int` | `getFailureCount()`
`javax.management.openmbean.TabularData` | `getFailureDetailData()`
`java.util.Date` | `getServiceStart()`
`protected java.lang.Object` | `getTargetObject()` Get the target object for this MBean.
`int` | `getUserCount()`
`javax.management.openmbean.TabularData` | `getUserDetailData()` Invoked by the User Service MBean to obtain the user summary information for all active user contexts.

Field Detail

### SUMMARY_DATA_DESCRIPTIONS

    public static final java.lang.String[] SUMMARY_DATA_DESCRIPTIONS

### SUMMARY_TABULARTYPE_NAME

    public static final java.lang.String SUMMARY_TABULARTYPE_NAME

See Also:
  Constant Field Values

### SUMMARY_TABULARTYPE_DESCRIPTION

    public static final java.lang.String SUMMARY_TABULARTYPE_DESCRIPTION

### SUMMARY_DATA_INDEX_NAMES

    public static final java.lang.String[] SUMMARY_DATA_INDEX_NAMES

### DESTROY_USER_METHOD_NAME

    public static final java.lang.String DESTROY_USER_METHOD_NAME

See Also:
  Constant Field Values

### DESTROY_USER_DESCRIPTION

    public static final java.lang.String DESTROY_USER_DESCRIPTION

### USERCONTEXT_ID_PARM_NAME

    public static final java.lang.String USERCONTEXT_ID_PARM_NAME

### USERCONTEXT_ID_PARM_DESCRIPTION

    public static final java.lang.String USERCONTEXT_ID_PARM_DESCRIPTION

Constructor Detail

### UserServiceMBean

    public UserServiceMBean()

Method Detail

### destroyUser

    public java.lang.String destroyUser(java.lang.String userContextId)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUserCount

    public int getUserCount()

### getFailureCount

    public int getFailureCount()

### getAuthCount

    public int getAuthCount()

### getServiceStart

    public java.util.Date getServiceStart()

### getUserDetailData

    public javax.management.openmbean.TabularData getUserDetailData()
                                                             throws java.lang.Exception

  Invoked by the User Service MBean to obtain the user summary information for all active user contexts.

  Returns:
    `TabularData` representing the user summary data for all active user contexts..
  Throws:
    `java.lang.Exception` - if something bad happens.

### getFailureDetailData

    public javax.management.openmbean.TabularData getFailureDetailData()
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTargetObject

    protected java.lang.Object getTargetObject()

  Get the target object for this MBean. This will be this Logging Service MBean. Note that if we didn't need to intercept invocations of changeLoggerPriority, so that we can emit AttributeChangeNotifications then we could set the target object to the logging service and let its methods be invoked directly from the jmx server.

  Specified by:
    `getTargetObject` in class `com.sas.services.util.AbstractMBean`
  Returns:
    the target object for this MBean.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.